CANVAS_DRAW_LINE_P(3)

FUNCTION
canvas_draw_line_p - Draw a single line onto a world canvas.

SYNOPSIS
#include <karma_canvas.h>

void canvas_draw_line_p

(KWorldCanvas canvas, double x0, double y0, double x1, double y1, unsigned long pixel_value)

DESCRIPTION
Draw a single line onto a world canvas.

canvas
    The world canvas object.

x0  The horizontal world co-ordinate of the first point.

y0  The vertical world co-ordinate of the first point.

x1  The horizontal world co-ordinate of the second point.

y1  The vertical world co-ordinate of the second point.

pixel_value
    The pixel value to use.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/